Bug 882309 - CVE-2012-3411 libvirt needs to use new dnsmasq option to avoid open DNS proxy [fedora-all]
CVE-2012-3411 libvirt needs to use new dnsmasq option to avoid open DNS proxy...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
17
All Linux
medium Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
RejectedBlocker AcceptedNTH
: Security, SecurityTracking
Depends On:
Blocks: 874702 F18-accepted/F18FinalFreezeExcept
  Show dependency treegraph
 
Reported: 2012-11-30 11:12 EST by Stefan Cornelius
Modified: 2013-01-03 02:24 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-21 00:19:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Cornelius 2012-11-30 11:12:41 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Stefan Cornelius 2012-11-30 11:12:55 EST
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=874702,882309
Comment 3 Fedora Update System 2012-12-09 20:15:12 EST
libvirt-0.9.11.8-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libvirt-0.9.11.8-1.fc17
Comment 4 Fedora Update System 2012-12-11 09:42:30 EST
libvirt-0.10.2.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-20032/libvirt-0.10.2.2-1.fc18
Comment 5 Fedora Update System 2012-12-16 15:05:17 EST
libvirt-0.9.11.8-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libvirt-0.9.11.8-2.fc17
Comment 6 Tomas Hoger 2012-12-17 06:22:45 EST
Moving here RejectedBlocker AcceptedNTH, as well as bug 752665 dependency.  Moved from bug 833033 and bug 874702.
Comment 7 Adam Williamson 2012-12-18 20:25:45 EST
Note we now have https://admin.fedoraproject.org/updates/libvirt-0.10.2.2-3.fc18 , which fixes a regression caused by the initial fix for this bug. This bug was left off the list of bugs fixed by the new update, inadvertently. I've asked releng to fix that.
Comment 8 Fedora Update System 2012-12-18 20:27:14 EST
libvirt-0.10.2.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-20577/libvirt-0.10.2.2-3.fc18
Comment 9 Fedora Update System 2012-12-20 00:38:14 EST
libvirt-0.10.2.2-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Adam Williamson 2012-12-21 00:19:35 EST
update went stable, closing.
Comment 11 Fedora Update System 2013-01-03 02:24:32 EST
libvirt-0.9.11.8-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.